From comp.dcom.modems Mon Apr 27 18:26:56 1992
From: floyd@hayes.ims.alaska.edu (Floyd Davidson)
Newsgroups: comp.dcom.modems
Subject: Re: Help with Line Noise Part 1
Message-ID: <1992Apr19.110150.24198@raven.alaska.edu>
Date: 19 Apr 92 11:01:50 GMT
Article-I.D.: raven.1992Apr19.110150.24198
References: <762966.29F05B86@cmhgate.fidonet.org>
Sender: news@raven.alaska.edu (USENET News System)
Organization: University of Alaska Computer Network
Lines: 129
Nntp-Posting-Host: hayes.ims.alaska.edu


In article <762966.29F05B86@cmhgate.fidonet.org> Adam.Frix@p18.f20.n226.z1.FIDONET.ORG (Adam Frix) writes:
>  
>noise. If the problem persists, then a call to the local Ma Bell
>office to seek correction of the problem is usually the only

I always thought "Ma Bell" was AT&T, and AT&T is a long distance
carrier.  You probably should call the local telephone company
rather than AT&T...

>              MINIMUM LINE TESTING REQUIREMENTS
>                    AS SET BY THE FCC
>
>   Your local telephone company is required by the FCC to
>provide a minimum level of quality on the lines it maintains

The requirements are outlined in tariffs that are filed with
the state regulator agency.  The actual requirements vary
from state to state and from one telephone company to another.

>   If a sysop complains to the telephone company about line
>noise, there is usually only one option offered: line condi-
>tioning.  This is an extra cost item that they would like to
>sell you.  However, if their line to your computer meets the
>minimum standards, there is no reason you cannot have error
>free transfers at 2400 bps and, if an error correcting proto-
>col is used, reliable operation at 9600 bps is the norm.

The above is correct.  Be aware the "line conditioning" basically
gets you *nothing* on a switched line loop.

The key phrase to hit the telephone company with is that the
"modem being used is designed to operate over voice grade
telephone lines." (And if you have to repeat it more than a couple
times, you might start adding that "if it doesn't work correctly
then the lines must not be within voice grade specifications.)

>   If the telephone company seems reluctant to test your line
>and assure that it meets the minimum requirements (and they
>will), request that they run the following tests and provide
>you with the results.  Let them understand that if they do not
>comply, you will refer the matter to the FCC.  They will NOT
>be happy!

Tell them you will refer it to the state regulatory agency.
That may or may not help depending on the state.  Some state
regulators take regulation very seriously, others don't.
There are at least a couple states where the regulators are
the problem rather than the solution.

>   The following tests should be run:
>
>    1) Frequency sweep.  300 to 3000 Hz
>    2) Roll off.  500 - 2500 Hz, with -2 to +8 range,
>       and request 300 - 3000 HZ, -3 to +12 range.

Don't be too upset if they use 400, 1000, and 2800.  Also
note that the range given is for loss...  hence the level
at 3000, per above, can be 12 dB lower than the level at 1000.
(And 12 dB is a HUGE rolloff...)

>       1000 Hz tone loss: -16, 1% in either direction

That doesn't make sense.

What it should be depends very much on what the telephone
company decides is acceptable to them.  Get a copy of their
tariff if you want to argue with them...

>    3) Signal to noise ratio.  24 Db level

This is a very important test.  ("conditioned lines" will
get you 28 dB s/n, but since your modem will work fine at
24 dB, it has no practical value.)

>    4) White noise C, message Dbrnco

It is C-Message weighted noise, dBrnC0.

If your line does not meet specs, your modem won't even come
close to working, hence the test isn't likely of any value
unless you are having extreme problems.

>    5) Envelope delay measurement.

This parameter has no effect on modems designed for voice grade
circuits.  I doubt you could even get a local telco to do such
a test as most of them probably don't even have test equipment
to do it.

>    6) Phase jitter.  Not to exceed 10%
>    7) Impulse noise test.  Minimum 15 minute count

None of the tests from 1-6 are likely to have any meaning at
all if you are experiencing intermittant noise.  Test 1 and
test 3 might demonstrate a problem if you have a really bad
line.  But test 7 is IMPORTANT.  The "Minimum 15 minute count"
isn't though.  An impulse noise test set usually measures
several other kinds of intermittant parameters (phase hits,
gain hits, dropouts, etc.) besides just noise.

But be advised that the acceptable parameters are one count
per minute over 15 minutes...

>    Don't worry if you do not understand what all these tests
>mean, the telephone company knows.  These standards are all
>available from the FCC upon request.  When the lines provided
>to you meet these minimums, you will experience reliable,
>accurate, and noise free data transfers.

Your line can meet all of those parameters and still take
a massive hit once a minute, and minor hits much more often.

A better approach than threatening the telco is to try working
with them.  You may want to try talking to different telco people
until you find one who understands more about modems than the
average, but save the threats for 1) upper levels of management,
and 2) as a last resort.

The direction to take with technicians and bottom levels of
management is that you are a nice guy and would like good service.
If they test everything and say its good ask if they could move
your line to entirely different facilities (cable pairs, cable
carrier, switch line facitlites, the works).  You might even
suggest that one massive move to all new facilities might be
cheaper and quicker than any other form of testing (the supervisor
will like that idea!).

Floyd
